<!--
 * @Author: YKH
 * @Date: 2022-09-05 20:50:57
 * @LastEditTime: 2022-09-17 22:10:47
 * @Description: file content
 * @FilePath: \cool-admin-3.x\cool-admin-vue-vue3-ts-vite\src\cool\modules\shuyou\components\shuyouGameTaskName-select.vue
-->
<template>
	<!-- <el-select v-model="value" v-bind="props" filterable  multiple @change="onChange">
		<el-option v-for="(item, index) in list" :key="index" :value="item.id" :label="item.id+' [ '+item.task_name+' ] '" />
	</el-select> -->
	<el-select v-model="value" v-bind="props" filterable multiple @change="onChange"
		placeholder="可搜索">
		<el-option v-for="(item, index) in list" :key="index" :value="item.id"
		:label="item.id+' [ '+item.task_name+' ] '" />
	</el-select>
</template>

<script lang="ts">
import { defineComponent, inject, onMounted, ref, watch } from "vue";
// import { isArray } from "/@/core/utils";

export default defineComponent({
	name: "shuyouGameTaskNameselect",

	props: {
		modelValue: [String, Number, Array],
		props: Object
	},

	emits: ["update:modelValue"],

	setup(props, { emit }) {
		// 请求服务
		const service = inject<any>("service");

		// 数据列表
		const list = ref<any[]>([]);

		// 绑定值
		const value = ref<any>();

		// 绑定值回调
		function onChange(val: any) {
			emit("update:modelValue", val);
		}

		// 解析值
		watch(
			() => props.modelValue,
			(val: any) => {
				value.value = val //(isArray(val) ? val : [val]).filter(Boolean);
			},
			{
				immediate: true
			}
		);

		onMounted(async () => {
			let aa = await service.shuyouGameTask.taskList()
			list.value = aa.data;
			// console.log(list.value)
		});

		return {
			list,
			value,
			onChange
		};
	}
});
</script>
